Last Comment Bug 767150 - Permanent orange: TEST-UNEXPECTED-FAIL | test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
: Permanent orange: TEST-UNEXPECTED-FAIL | test-cloudfile-attachment-item.js | ...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Mike Conley (:mconley) - (Needinfo me!)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 14:18 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 (1.18 KB, patch)
2012-07-05 07:15 PDT, Mike Conley (:mconley) - (Needinfo me!)
standard8: review+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-06-21 14:18:08 PDT
Seeing this pretty consistently on our Linux 64 Mozmill machines:

SUMMARY-UNEXPECTED-FAIL | test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
  EXCEPTION: Context menu has been opened.
    at: utils.js line 447
       TimeoutError utils.js 447
       waitFor utils.js 485
       assert_can_cancel_upload test-cloudfile-attachment-item.js 155
       test_upload_cancel_repeat test-cloudfile-attachment-item.js 85

Based on when we first started seeing this failure, and what kind of commits went into comm-central, I'm going to go out on a limb here and wager that mozilla-central broke us.
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2012-06-21 14:19:17 PDT
Oh, also note that we're only seeing this on *debug* builds so far.
Comment 2 Treeherder Robot 2012-06-22 16:40:06 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12915155&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-22 15:47:59
slave: talos-r3-fed64-003

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 3 Treeherder Robot 2012-06-25 07:14:49 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12966195&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-25 04:38:56
slave: talos-r3-fed64-041

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 4 Treeherder Robot 2012-06-25 08:32:48 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12970079&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-25 07:35:58
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 5 Treeherder Robot 2012-06-25 16:16:43 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12981931&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-25 15:12:08
slave: talos-r3-fed64-007

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, attempting to kill
Comment 6 Treeherder Robot 2012-06-26 06:30:47 PDT
florian
https://tbpl.mozilla.org/php/getParsedLog.php?id=12995972&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-26 02:06:14
slave: talos-r3-fed64-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 7 Treeherder Robot 2012-06-26 10:29:16 PDT
florian
https://tbpl.mozilla.org/php/getParsedLog.php?id=13004593&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-26 08:01:31
slave: talos-r3-fed64-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 8 Treeherder Robot 2012-06-26 19:47:33 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13021251&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-26 18:44:02
slave: talos-r3-fed64-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 9 Treeherder Robot 2012-06-27 17:37:20 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13052607&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-27 15:59:50
slave: talos-r3-fed64-020

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 10 Treeherder Robot 2012-06-27 18:09:16 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13054760&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-27 17:15:31
slave: talos-r3-fed64-024

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 11 Treeherder Robot 2012-06-28 07:30:30 PDT
florian
https://tbpl.mozilla.org/php/getParsedLog.php?id=13063429&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-28 00:50:14
slave: talos-r3-fed64-016

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 12 Treeherder Robot 2012-06-28 10:55:38 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=13076069&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-28 09:47:14
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
PROCESS-CRASH | content-tabs | application crashed (minidump found)
Thread 0 (crashed)
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 13 Treeherder Robot 2012-06-28 19:24:03 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13089307&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-28 18:33:13
slave: talos-r3-fed64-026

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 14 Treeherder Robot 2012-06-28 19:42:45 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13078132&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-28 11:32:18
slave: talos-r3-fed64-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, attempting to kill
Comment 15 Treeherder Robot 2012-06-28 19:44:00 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13061500&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-27 22:19:58
slave: talos-r3-fed64-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 16 Treeherder Robot 2012-07-01 09:29:32 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13137854&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-30 12:03:00
slave: talos-r3-fed64-029

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 17 Treeherder Robot 2012-07-01 09:30:04 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13135779&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-06-30 09:11:08
slave: talos-r3-fed64-016

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 18 Treeherder Robot 2012-07-01 10:02:44 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13149122&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-01 09:13:15
slave: talos-r3-fed64-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 19 Treeherder Robot 2012-07-01 11:42:52 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13149623&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-01 10:21:21
slave: talos-r3-fed64-025

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 20 Treeherder Robot 2012-07-02 15:05:05 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13151855&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-01 14:40:02
slave: talos-r3-fed64-026

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 21 Treeherder Robot 2012-07-02 17:08:31 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13173364&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-02 16:09:32
slave: talos-r3-fed64-032

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, attempting to kill
Comment 22 Treeherder Robot 2012-07-02 18:24:42 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13175059&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-02 17:23:29
slave: talos-r3-fed64-065

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 23 Treeherder Robot 2012-07-03 02:59:05 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=13186233&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-03 01:54:06
slave: talos-r3-fed64-027

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 24 Treeherder Robot 2012-07-03 17:49:15 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13208967&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-03 16:24:21
slave: talos-r3-fed64-022

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 25 Treeherder Robot 2012-07-04 01:33:02 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=13214428&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-03 20:06:05
slave: talos-r3-fed64-019

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/attachment/test-attachment.js | test-attachment.js::test_attachment_right_click_multiple
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 26 Treeherder Robot 2012-07-04 12:19:49 PDT
mconley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13221115&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-04 04:20:15
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 27 Treeherder Robot 2012-07-05 02:04:18 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=13246452&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-05 01:14:27
slave: talos-r3-fed64-026

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 28 Treeherder Robot 2012-07-05 05:18:31 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=13251222&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-05 04:22:47
slave: talos-r3-fed64-059

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 29 Treeherder Robot 2012-07-05 06:00:44 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=13252472&tree=Thunderbird-Try
TB Rev3 Fedora 12x64 try-comm-central debug test mozmill on 2012-07-05 05:03:14
slave: talos-r3-fed64-058

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 30 Mike Conley (:mconley) - (Needinfo me!) 2012-07-05 07:15:12 PDT
Created attachment 639334 [details] [diff] [review]
Patch v1

This patch allows us to side-step the weird menu-opening bugs we see sometimes by triggering the menupopup's "onpopupshowing" function manually.

According to this try build, I think this problem is fixed: https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=75ebfa16e7f1
Comment 31 Treeherder Robot 2012-07-05 08:55:14 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=13256473&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2012-07-05 07:52:21
slave: talos-r3-fed64-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 32 Mike Conley (:mconley) - (Needinfo me!) 2012-07-05 09:18:53 PDT
comm-central: https://hg.mozilla.org/comm-central/rev/71fedbacea3b

Note You need to log in before you can comment on or make changes to this bug.